Bug 1293191 - Printing to HP LaserJet 2100M broken after recent update (possibly after upgrade to Fedora 23)
Printing to HP LaserJet 2100M broken after recent update (possibly after upgr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 21:47 EST by N. Jackson
Modified: 2016-12-20 12:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:14:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from printing troubleshooter (2.51 KB, text/plain)
2015-12-20 21:47 EST, N. Jackson
no flags Details
cupsd log (84.57 KB, text/plain)
2015-12-21 13:16 EST, N. Jackson
no flags Details

  None (edit)
Description N. Jackson 2015-12-20 21:47:05 EST
Created attachment 1108151 [details]
Output from printing troubleshooter

Description of problem:

Printing has worked okay on this system (to an HP LaserJet 2100M over USB) since I installed Fedora 19 on it about three years ago. I last printed (successfully) on the 8th of November 2015 (I don't print things very often any more), at which point Fedora 21 was running on the system. Since then, I have upgraded to Fedora 23 and many updates have come down. Attempting to print today fails. The print jobs are shown as pending in the print queue but the system does not seem to be detecting that the printer is plugged in and turned on.

Version-Release number of selected component (if applicable):
Fedora 23 GNU/Linux, kernel 4.2.7-300.fc23.x86_64.

`grep -H '^*NickName:' /etc/cups/ppd/*.ppd' reports:

    /etc/cups/ppd/HP-LaserJet-2100-Series.ppd:*NickName:      "HP LaserJet 2100 - CUPS+Gutenprint v5.2.10 Simplified"

How reproducible:
Consistently.

Steps to Reproduce:
1. Print a document or the print test page.

Actual results:
The printed jobs appear in the print queue with pending status, but nothing prints, and the system does not appear to be able to "see" the printer.

Expected results:
The jobs print and disappear from the queue.

Additional info:
The printing troubleshooter reports "Queue Not Enabled" and says to select the 'Enabled' checkbox in Print Settings, but this checkbox is already checked.

Another oddity is that the printer is shown as shared, but it should not be. This is a local printer connected to a single-user computer; I have never configured a print server on this system nor deliberately enabled sharing.

The output of the printing troubleshooter is attached.
Comment 1 Jiri Popelka 2015-12-21 12:22:47 EST
Thanks. Could you also try to get cupsd log according to
https://fedoraproject.org/wiki/How_to_debug_printing_problems#Getting_debug_information_by_other_means
Comment 2 N. Jackson 2015-12-21 13:16 EST
Created attachment 1108350 [details]
cupsd log
Comment 3 Jiri Popelka 2015-12-21 13:34:28 EST
I see only

[Client 11] cupsdReadClient: error=0, used=0, state=HTTP_STATE_WAITING, data_encoding=HTTP_ENCODING_LENGTH, data_remaining=0, request=(nil)(), file=-1
[Client 11] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)

but I'm not sure it's related as I can see the same here even I'm printing OK.

I also see you use gutenprint driver, so you can try to configure the printer with hp-setup (hplip package) to use hplip/hpijs driver.
Comment 4 Fedora Admin XMLRPC Client 2016-06-24 06:30:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-11-24 09:24:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:14:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.